## GtkShortcutsGesture GtkShortcutsGesture — Represents a gesture in a GtkShortcutsWindow |

## Properties

GIcon * | icon | Read / Write
GtkSizeGroup * | icon-size-group | Write
gchar * | subtitle | Read / Write
gchar * | title | Read / Write
GtkSizeGroup * | title-size-group | Write

## Types and Values

| GtkShortcutsGesture

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GtkShortcutsGesture

## Implemented Interfaces

GtkShortcutsGesture implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

A GtkShortcutsGesture represents a single gesture with an image an a short text.

This widget is only meant to be used with GtkShortcutsWindow.

## Functions

## Types and Values

### GtkShortcutsGesture

    typedef struct _GtkShortcutsGesture GtkShortcutsGesture;

## Property Details

### The `“icon”` property

      “icon”                     GIcon *

The icon used to represent the gesture.

Flags: Read / Write

### The `“icon-size-group”` property

      “icon-size-group”          GtkSizeGroup *

Icon Size Group.

Flags: Write

### The `“subtitle”` property

      “subtitle”                 gchar *

The subtitle for the gesture.

This should be a short, one-line text that describes the gesture itself, e.g. "Two-finger swipe".

Flags: Read / Write

Default value: ""

### The `“title”` property

      “title”                    gchar *

The title for the gesture.

This should be a short, one-line text that describes the action associated with the gesture.

Flags: Read / Write

Default value: ""

### The `“title-size-group”` property

      “title-size-group”         GtkSizeGroup *

The size group for the textual portion of this gesture.

This is used internally by GTK+, and must not be modified by applications.

Flags: Write